net.sourceforge.pmd.lang.java.symboltable

## Class AbstractNameDeclaration

- java.lang.Object
- - net.sourceforge.pmd.lang.java.symboltable.AbstractNameDeclaration

- All Implemented Interfaces:
    NameDeclaration
  Direct Known Subclasses:
    ClassNameDeclaration, MethodNameDeclaration, VariableNameDeclaration

      public abstract class AbstractNameDeclaration
      extends Object
      implements NameDeclaration

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected JavaNode` | `node`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractNameDeclaration(JavaNode node)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getImage()`
    `JavaNode` | `getNode()`
    `Scope` | `getScope()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### node

          protected JavaNode node

  - ### Constructor Detail

    - #### AbstractNameDeclaration

          public AbstractNameDeclaration(JavaNode node)

  - ### Method Detail

    - #### getNode

          public JavaNode getNode()

      Specified by:
        `getNode` in interface `NameDeclaration`

    - #### getImage

          public String getImage()

      Specified by:
        `getImage` in interface `NameDeclaration`

    - #### getScope

          public Scope getScope()

      Specified by:
        `getScope` in interface `NameDeclaration`

Copyright © 2002-2013 InfoEther. All Rights Reserved.